# file: kb_lib/Cargo.toml

[package]
name = "kb_lib"
edition.workspace = true
version.workspace = true
license.workspace = true
authors.workspace = true
publish.workspace = true

[dependencies]
chrono.workspace = true
base64.workspace = true
borsh.workspace = true
bs58.workspace = true
futures-util.workspace = true
reqwest.workspace = true
serde.workspace = true
serde_json.workspace = true
solana-rpc-client-api.workspace = true
solana-sdk.workspace = true
solana-sdk-ids.workspace = true
spl-associated-token-account-interface.workspace = true
spl-token-2022-interface.workspace = true
spl-token-interface.workspace = true
sqlx.workspace = true
tokio.workspace = true
tokio-tungstenite.workspace = true
tracing.workspace = true
tracing-appender.workspace = true
tracing-subscriber.workspace = true

[dev-dependencies]
tempfile.workspace = true

[lints]
workspace = true
